<?php

// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2005 Snapshot Inc.                                |
// +----------------------------------------------------------------------+
// | License                                                              |
// | GNU General Public License                                           |
// +----------------------------------------------------------------------+
// | Authors: Takayuki Tanimoto <takayuki@snapshot.co.jp>                 |
// +----------------------------------------------------------------------+
//
// $Id: DistributeView_alert.class.php,v 1.1 2005/06/20 09:31:24 snapshot Exp $
//
// Description:
// 2005/05/18
//

require_once (OPT_DIR.'u-learning/view/AdminView.class.php');

class DistributeView extends AdminView {

    function setRendererAttributes(& $controller, & $request, & $user, & $renderer) {
        $renderer->setTemplate('Distribute_alert.php');

        $renderer->setAttribute('subjects', $request->getAttribute('subjects'));
        $renderer->setAttribute('exam', $request->getAttribute('exam'));
        $renderer->setAttribute('questions', $request->getAttribute('questions'));
        $renderer->setAttribute('questions_count', $request->getAttribute('questions_count'));
        $renderer->setAttribute('total_point', $request->getAttribute('total_point'));

        $renderer->setAttribute('date_year', $request->getAttribute('date_year'));
        $renderer->setAttribute('date_month', $request->getAttribute('date_month'));
        $renderer->setAttribute('date_day', $request->getAttribute('date_day'));
        $renderer->setAttribute('time_hour', $request->getAttribute('time_hour'));
        $renderer->setAttribute('time_min', $request->getAttribute('time_min'));
        $renderer->setAttribute('summary', $request->getAttribute('summary'));
        $renderer->setAttribute('deadline', $request->getAttribute('deadline'));
        $renderer->setAttribute('deadline_type', $request->getAttribute('deadline_type'));
        $renderer->setAttribute('deadline_label', $request->getAttribute('deadline_label'));
    }

}
?>